function Output_address = Padd_HD_Sequences(Input_YUVAddress,width,height,Number_of_Frames,horizntal_pad,vertical_pad)

Output_address = strrep(Input_YUVAddress, '_DS.0','.0');% To be modified for different test cases.
for frm_n = 1:Number_of_Frames
    [Y, U, V] = yuv_import(Input_YUVAddress,[width height],1,frm_n-1,'YUV420_8');

    Y_Modified{1} = zeros(size(Y{1},1)+vertical_pad,size(Y{1},2)+horizntal_pad);
    U_Modified{1} = zeros(size(U{1},1)+vertical_pad/2,size(U{1},2)+horizntal_pad/2) + 128;
    V_Modified{1} = zeros(size(V{1},1)+vertical_pad/2,size(V{1},2)+horizntal_pad/2) + 128;

    
    Y_Modified{1}(1:height,1:width) = Y{1};
    
    for j = height+1 : height+vertical_pad
        Y_Modified{1}(j,:) = Y_Modified{1}(height,:);
    end

    for i = width+1 : width+horizntal_pad
        Y_Modified{1}(:,i) = Y_Modified{1}(:,width);
    end
    
    if frm_n == 1
        yuv_export(Y_Modified,U_Modified,V_Modified,Output_address,1,'w');
    else
        yuv_export(Y_Modified,U_Modified,V_Modified,Output_address,1,'a');
    end
end
disp([Input_YUVAddress ' Done!']);


