
/*!
 ************************************************************************
 *  \file
 *     joint_view_filter.h
 *
 *  \brief
 *     define some functions that are used in Joint view filtering.
 *
 *  \author
 *      - liri                        <lrzkd@mail.ustc.edu.cn>
 *
 ************************************************************************
 */

#ifndef _JOINT_SEQ_FILTER_H
#define _JOINT_SEQ_FILTER_H
#include "global.h"
#include "typedefs.h"
extern void pre_joint_view_filter(VideoParameters*p_Vid);
extern int inloop_joint_view_filter(VideoParameters *p_Vid, StorablePicture **DepthReconPicBuf);
#endif
