function Output_address = Downsample_with_max_value(Input_YUVAddress,width,height,Number_of_Frames,resolution)
%**************************************************************************
  Output_address = strrep(Input_YUVAddress,'.0000.yuv','.0000_Downsampled.yuv');
for frm_n = 1:Number_of_Frames
    [Y, U, V] = yuv_import(Input_YUVAddress,[width height],1,frm_n-1,'YUV420_8');
    Y_Modified{1} = zeros(size(Y{1},1)/resolution,size(Y{1},2)/resolution);
    U_Modified{1} = zeros(size(U{1},1)/resolution,size(U{1},2)/resolution) + 128;
    V_Modified{1} = zeros(size(V{1},1)/resolution,size(V{1},2)/resolution) + 128;
    for i = 1:resolution:width
        for j = 1:resolution:height
            Y_Modified{1}((j-1)/resolution+1,(i-1)/resolution+1) = max(max(Y{1}(j:min(height,j+resolution-1),i:min(width,i+resolution-1))));                         
        end
    end
   
    if frm_n == 1
        yuv_export(Y_Modified,U_Modified,V_Modified,Output_address,1,'w');
    else
        yuv_export(Y_Modified,U_Modified,V_Modified,Output_address,1,'a');
    end
end
