function Output_address = UN_Padd_HD_Sequences(Input_YUVAddress,width,height,Number_of_Frames,horizntal_pad,vertical_pad)

Output_address = strrep(Input_YUVAddress, '000.y','000_UNPADDED.y');
for frm_n = 1:Number_of_Frames
    [Y, U, V] = yuv_import(Input_YUVAddress,[width+horizntal_pad height+vertical_pad],1,frm_n-1,'YUV420_8');

    Y_Modified{1} = zeros(height,width);
    U_Modified{1} = zeros(height/2,width/2) + 128;
    V_Modified{1} = zeros(height/2,width/2) + 128;

    Y_Modified{1} = Y{1}(1:height,1:width);
    
    if frm_n == 1
        yuv_export(Y_Modified,U_Modified,V_Modified,Output_address,1,'w');
    else
        yuv_export(Y_Modified,U_Modified,V_Modified,Output_address,1,'a');
    end
end
disp([Input_YUVAddress ' Done!']);


