function Output_address = create_GDVs(Input_YUVAddress,width,height,Number_of_Frames)
%**************************************************************************
  Output_address = strrep(Input_YUVAddress,'.0000.yuv','.0000_GDV.yuv');
for frm_n = 1:Number_of_Frames
    [Y, U, V] = yuv_import(Input_YUVAddress,[width height],1,frm_n-1,'YUV420_8');
    Y_Modified{1} = zeros(size(Y{1},1)/2,size(Y{1},2)/2);
    U_Modified{1} = zeros(size(U{1},1)/2,size(U{1},2)/2) + 128;
    V_Modified{1} = zeros(size(V{1},1)/2,size(V{1},2)/2) + 128;

    Y_Modified{1} = Y_Modified{1} + mean(mean(Y{1}));
    if frm_n == 1
        yuv_export(Y_Modified,U_Modified,V_Modified,Output_address,1,'w');
    else
        yuv_export(Y_Modified,U_Modified,V_Modified,Output_address,1,'a');
    end
end
