/*!
 *************************************************************************************
 * \file mv_prediction.h
 *
 * \brief
 *    Declarations for Motion Vector Prediction
 *
 * \author
 *     Main contributors (see contributors.h for copyright, address and affiliation details)
 *     - Alexis Michael Tourapis         <alexismt@ieee.org>  
 *************************************************************************************
 */

#ifndef _MV_PREDICTION_H_
#define _MV_PREDICTION_H_

extern void init_motion_vector_prediction(Macroblock *currMB, int mb_aff_frame_flag);

#if SAIT_TEMPORAL_MVP_B0153
#if SAIT_TEMPORAL_MVP_BUGFIX_V7
extern void Get_InterViewMV_TemporalMVP(Macroblock *currMB, int mb_x, int mb_y, int offset_x, int offset_y, int list_idx, int view_id, MotionInfo *motion_interview, PixelPos *neighbors);
#else
extern void Get_InterViewMV_TemporalMVP(Macroblock *currMB, int offset_x, int offset_y, int list_idx, int view_id, MotionInfo *motion_interview, PixelPos *neighbors);
#endif
#endif

#endif
